# setDependencyVerificationMode

open fun setDependencyVerificationMode(verificationMode: DependencyVerificationMode)

Sets the dependency verification mode. There are three different modes:

- strict, the default, verification is enabled as soon as a dependency verification file is present.
- lenient, in this mode, failure to verify a checksum, missing checksums or signatures will be logged but will not fail the build. This mode should only be used when updating dependencies as it is inherently unsafe.
- off, this mode disables all verifications

#### Since

6.2

#### Parameters

verificationMode

the verification mode to use